Yorick MIRA for Debian
======================

To run the example scripts, first unpack them:
 cp -a /usr/share/doc/yorick-mira/examples ./
 cd examples
 gunzip *.gz

Download the two following data files and put them in the same
directory:
 https://github.com/emmt/MiRA/blob/release-1.1.0/data/data1.oifits
 https://github.com/emmt/MiRA/blob/release-1.1.0/data/data2.oifits

Finally, launch the scripts like this and follow the on-screen instructions:
 yorick -i mira-demo.i
 (Type "quit" to exit)

 yorick -i mira-test1.i

 yorick -i mira-test2.i

An command-line interface, ymira, is provided around MiRA. From the shell
prompt, you can reconstruct an image from data1.oifits above with:
 TEST_FLAGS="-pixelsize=0.1mas -fov=20mas -regul=hyperbolic -bootstrap=1 \
            -recenter -mu=3e3 -tau=5e-5 -ftol=0 -gtol=0 -maxeval=2000 \
            -overwrite -normalization=1 -min=0 -verb=10"
 ymira ${TEST_FLAGS} data1.oifits test1.fits
 ymira ${TEST_FLAGS} -view=-1 -initial=test1.fits data1.oifits test2.fits
See `man ymira' for options.

More documentation can be obtained from the yorick prompt:
$ yorick
> #include "mira.i"
> help, mira
> help, mira_new
> help, mira_config
> help, mira_solve

 -- Thibaut Paumard <thibaut@debian.org>, Wed, 25 Jan 2017 14:17:59 +0100
